> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rookoo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get inbox-label matrix report

> Get a matrix showing the count of conversations for each inbox-label combination.
Returns a list of inboxes, labels, and a 2D matrix where each cell contains the count of conversations
in a specific inbox that have a specific label applied.




## OpenAPI

````yaml /openapi/application.json get /api/v2/accounts/{account_id}/reports/inbox_label_matrix
openapi: 3.0.4
info:
  title: Rookoo Application API
  description: >-
    Manage conversations, contacts, inboxes, planning, knowledge bases, MCP, and
    account settings on behalf of a user.
  version: 1.1.0
  termsOfService: https://www.rookoo.ai/terms-of-service/
  contact:
    email: hello@rookoo.ai
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://app.rookoo.ai/
security: []
tags:
  - name: Account AgentBots
    description: Account-specific Agent Bots
  - name: Agents
    description: Agent management APIs
  - name: Canned Responses
    description: Pre-defined responses for common queries
  - name: Contacts
    description: Contact management APIs
  - name: Contact Labels
    description: Manage contact labels
  - name: Conversation Assignments
    description: Manage conversation assignments
  - name: Conversation Labels
    description: Manage conversation labels
  - name: Conversations
    description: Conversation management APIs
  - name: Custom Attributes
    description: Custom fields for contacts and conversations
  - name: Custom Filters
    description: Saved filters for conversations
  - name: Inboxes
    description: Communication channels setup
  - name: Integrations
    description: Third-party integrations
  - name: Messages
    description: Message management APIs
  - name: Profile
    description: User profile APIs
  - name: Reports
    description: Analytics and reporting APIs
  - name: Teams
    description: Team management APIs
  - name: Webhooks
    description: Event notification webhooks
  - name: OAuth Applications
    description: Account-scoped OAuth 2.0 clients
  - name: Automation Rule
    description: Workflow automation rules
  - name: Help Center
    description: Knowledge base management
  - name: Knowledge Bases
    description: Searchable knowledge bases and records
  - name: Planning Events
    description: Event planning and inquiries
  - name: Planning Allocations
    description: Space allocations and availability
  - name: Planning Quotes
    description: Quotes for planning events
  - name: Planning Rates
    description: Rate catalogue and prices
  - name: Planning Pricing
    description: Pricing plans, discount codes, and price preview/lock
  - name: Spaces
    description: Bookable spaces and rooms
  - name: Rookoo Agents
    description: Rookoo AI agent configuration
  - name: Copilot
    description: Copilot JWT and settings
  - name: MCP
    description: Model Context Protocol server endpoints
paths:
  /api/v2/accounts/{account_id}/reports/inbox_label_matrix:
    parameters:
      - $ref: '#/components/parameters/account_id'
      - in: query
        name: since
        schema:
          type: string
        description: The timestamp from where report should start (Unix timestamp).
      - in: query
        name: until
        schema:
          type: string
        description: The timestamp from where report should stop (Unix timestamp).
      - in: query
        name: inbox_ids
        schema:
          type: array
          items:
            type: integer
        description: Filter by specific inbox IDs.
      - in: query
        name: label_ids
        schema:
          type: array
          items:
            type: integer
        description: Filter by specific label IDs.
    get:
      tags:
        - Reports
      summary: Get inbox-label matrix report
      description: >
        Get a matrix showing the count of conversations for each inbox-label
        combination.

        Returns a list of inboxes, labels, and a 2D matrix where each cell
        contains the count of conversations

        in a specific inbox that have a specific label applied.
      operationId: get-inbox-label-matrix
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inbox_label_matrix'
        '403':
          description: Access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
      security:
        - userApiKey: []
components:
  parameters:
    account_id:
      in: path
      name: account_id
      schema:
        type: integer
      required: true
      description: The numeric ID of the account
  schemas:
    inbox_label_matrix:
      type: object
      description: >-
        Inbox-label matrix report showing the count of conversations for each
        inbox-label combination.
      properties:
        inboxes:
          type: array
          description: List of inboxes included in the report
          items:
            type: object
            properties:
              id:
                type: number
                description: The inbox ID
              name:
                type: string
                description: The inbox name
        labels:
          type: array
          description: List of labels included in the report
          items:
            type: object
            properties:
              id:
                type: number
                description: The label ID
              title:
                type: string
                description: The label title
        matrix:
          type: array
          description: >-
            2D array where matrix[i][j] represents the count of conversations in
            inboxes[i] with labels[j]
          items:
            type: array
            items:
              type: number
      example:
        inboxes:
          - id: 1
            name: Website Chat
          - id: 2
            name: Email Support
        labels:
          - id: 1
            title: bug
          - id: 2
            title: feature-request
          - id: 3
            title: urgent
        matrix:
          - - 10
            - 5
            - 3
          - - 8
            - 12
            - 2
    bad_request_error:
      title: data
      type: object
      properties:
        description:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/request_error'
    request_error:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
        code:
          type: string
  securitySchemes:
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        This token can be obtained by visiting the profile page or via rails
        console. Provides access to  endpoints based on the user permissions
        levels. This token can be saved by an external system when user is
        created via API, to perform activities on behalf of the user.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.